package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxCouponInject;

public interface WxCouponInjectService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxCouponInject> listAsPage(WxCouponInject record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCouponInject getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCouponInject record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    /**
     * 精准投(立即投送处理)
     *
     * @param id
     */
    ResultData add(WxCouponInject record);
    
	
	

	
	
	
	
}
